Update Sequence
curl --request PUT \
--url https://api.example.com/api/v1/sequences/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"messages": [
"<string>"
],
"followUps": [
{
"message": "Hey, just following up on my previous message!",
"delay": "1d"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 5,
"position": 0
}
]
}
'import requests
url = "https://api.example.com/api/v1/sequences/{id}"
payload = {
"name": "<string>",
"messages": ["<string>"],
"followUps": [
{
"message": "Hey, just following up on my previous message!",
"delay": "1d"
}
],
"actions": [
{
"delay_days": 0,
"like_count": 5,
"position": 0
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
messages: ['<string>'],
followUps: [{message: 'Hey, just following up on my previous message!', delay: '1d'}],
actions: [{delay_days: 0, like_count: 5, position: 0}]
})
};
fetch('https://api.example.com/api/v1/sequences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"messages": [
"<string>"
],
"followUps": [
{
"message": "Hey, just following up on my previous message!",
"delay": "1d"
}
],
"actions": [
{
"action_type": "FOLLOW_FIRST",
"delay_days": 0,
"like_count": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}{
"status": 400,
"error": "Bad Request",
"message": "Invalid request parameters.",
"details": "<unknown>"
}Sequences
Update Sequence
Update an existing sequence’s configuration, message templates, follow-ups, or warm-up action steps.
PUT
/
api
/
v1
/
sequences
/
{id}
Update Sequence
Authorizations
Enter your API key: wave_live_<token>
Path Parameters
Body
application/json
Updated sequence name
Required string length:
1 - 120Updated message variations
Minimum array length:
1Updated follow-up messages
Show child attributes
Show child attributes
Updated action steps
Show child attributes
Show child attributes
Response
Successful Response
Sequence unique ID
Sequence name
Initial DM message templates
Follow-up templates
Show child attributes
Show child attributes
Associated actions
Show child attributes
Show child attributes

